Bug 186747 - TrueType fonts converted to Type 3 in .ps file
Summary: TrueType fonts converted to Type 3 in .ps file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-26 01:48 UTC by Manuel Morales
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.2-5.7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-04 07:32:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Manuel Morales 2006-03-26 01:48:51 UTC
Description of problem:
In OpenOffice.org 2.02, the only way I seem to be able to print a file to .ps is
by using the "Generic Printer" option. Unfortunately, any TT fonts get converted
to Type 3, and display poorly in some PDF viewers.

How reproducible:
Always.

Steps to Reproduce:
1. In OO.org, type "Test" using Bitstream Vera Sans font.
2. Print using the Generic Printer option and location set to file. Save as
output.ps.
3. Convert to pdf using pdf2ps output.ps.
  
Actual results:
Resulting file displays poorly in XPDF. Looking at "Document Properties"' in
Evince shows that fonts are converted to Type 3.

Expected results:
Fonts should be converted to Type 1, or otherwise display nicely.

Comment 1 Caolan McNamara 2006-03-27 08:47:55 UTC
What do you want to do, create a PDF ? In which case use export->as PDF which
creates the best quality PDF output. I don't see any Type3 output from that route.

Comment 2 Manuel Morales 2006-03-27 13:19:22 UTC
That's true, but PDF files generated from OO.org are not as consistently
supported as those generated from a PS file using GhostScript. For example:
https://www.fastlane.nsf.gov/documents/pdf_create/pdfcreate_01.jsp

Comment 3 Caolan McNamara 2006-03-29 10:40:49 UTC
/usr/lib/openoffice.org2.0/share/psprint/driver/SGENPRT.PS

add a line of

*TTRasterizer: Type42

after the line of

*LanguageLevel: "2"

That should do it, will fix for next respin


Comment 4 Manuel Morales 2006-03-29 17:49:48 UTC
That works, thanks!


Note You need to log in before you can comment on or make changes to this bug.